Subject: Re: bug#13564: 24.2.91; Reg-exp in directory-files stops working (badly affects org-mode)

From: Vitalie Spinu <[email-masked]>
Date: Thu, 3 Oct 2019 21:50:32 +0200

Hi Lars,

No, I haven't noticed this since. This one can be closed AFAIC.

Thanks,

  Vitalie

On Thu, 3 Oct 2019 at 19:26, Lars Ingebrigtsen <[email-masked]> wrote:

> Vitalie Spinu <[email-masked]> writes:
>
> > I have just experienced this for the second time this week.
> >
> > I have plenty of org files in my "~/pim" directory. After a couple of
> > days of uptime org agenda stops recognizing my files. I have tracked it
> > down to directory-files:
> >
> >    (directory-files "~/pim/" nil ".*\\.org\\'")
> >
> > returns only a small fraction of all available files. If I start emacs
> > anew it works as expected.
> >
> > What is going on with directory-files? Are there flags that can change
> > its regexp matching?
>
> (I'm going through old Emacs bug reports that unfortunately got no
> response at the time.)
>
> There shouldn't be anything that can make that function stop working in
> this way.
>
> Have you seen this behaviour in more modern versions of Emacs?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>